oasis.names.tc.dss._1_0.core.schema

## Class AdditionalTimeInfo

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.AdditionalTimeInfo

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:52:42+02:00",
                 comments="JAXB RI v2.2.11")
      public class AdditionalTimeInfo
      extends Object
      implements Serializable

  Java class for AdditionalTimeInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AdditionalTimeInfoType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>dateTime">
             <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Ref" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdditionalTimeInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRef()` Gets the value of the ref property.
    `String` | `getType()` Gets the value of the type property.
    `org.joda.time.DateTime` | `getValue()` Gets the value of the value property.
    `void` | `setRef(String value)` Sets the value of the ref property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setValue(org.joda.time.DateTime value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdditionalTimeInfo

          public AdditionalTimeInfo()

  - ### Method Detail

    - #### getValue

          public org.joda.time.DateTime getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(org.joda.time.DateTime value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRef

          public String getRef()

      Gets the value of the ref property.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef(String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.